Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.exchange
Class UnresolvedRecipient

    java.lang.Object
      com.compoze.exchange.Recipient
          com.compoze.exchange.UnresolvedRecipient

All Implemented Interfaces:
  java.io.Serializable

public class UnresolvedRecipient
extends Recipient
implements java.io.Serializable

This class represents an unresolved recipient on a message. It is a derivative of `Recipient`, with additional information about the ambiguous recipients.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.compoze.exchange.Recipient
`FLAG_RICH_TEXT`

Method Summary
`AddressEntryInfo[]` | `getAmbiguousEntries()` Returns the address entries the unresolved recipient may resolve to.
`int` | `getIndex()` Get the index of this recipient on the message.
`boolean` | `hasAmbiguousEntries()` Convenience method to determine if there are any ambiguous entries.

Methods inherited from class com.compoze.exchange.Recipient
`getAddress, getAddressEntryID, getName, getRecipientType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### hasAmbiguousEntries

    public boolean hasAmbiguousEntries()
                                throws ExchangeException

  Convenience method to determine if there are any ambiguous entries.

  Throws:
    `ExchangeException`

### getAmbiguousEntries

    public AddressEntryInfo[] getAmbiguousEntries()
                                           throws ExchangeException

  Returns the address entries the unresolved recipient may resolve to.

  Returns:
    an array of AddressEntryInfo instances. Returns an array of zero length if the recipient could not be matched.
  Throws:
    `ExchangeException`

### getIndex

    public int getIndex()

  Get the index of this recipient on the message.

  Returns:
    the index of the recipient, or -1 if the recipient was deleted when resolution occurred.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.